<!DOCTYPE html>
<html lang="en">
    <%- include("../partials/head.ejs")%>
<body>
    <div class="container-fluid no-padding">
        <div class="row no-gutters">
            <div class="col-2">
                <%- include("../partials/sidebar.ejs")%>
            </div>

            <div class="col-10" style="overflow-y: auto; height:100vh;">
                <nav class="navbar sticky-top bg-color d-flex align-items-center">
                    <a href="/goaluser" class="a-style">
                        <span class="navbar-brand ml-3 mb-0 fontsize">
                            <img src="/assets/img/icon/back.svg" class ="mr-2" alt="">
                            Goal
                        </span>
                    </a>
                </nav>

                <div class="row ml-3 mt-3">
                    <div class="col-8">
                        <p class="fontsize"><%= goal[0].namaGoal %></p>
                        <div class="d-inline-flex tahun px-3">
                            <%= goal[0].estimationTime %>
                        </div>

                        <div class="borderbottom mt-4">
                            <div class="row">
                                <div class="col-2 text-center activebottom">
                                    <a href="/goaluser/milestone/detail/<%= param %>" class="a-style ">
                                        Detail
                                    </a>
                                </div>

                                <div class="col-2 text-center">
                                    <a href="/goaluser/milestone/diskusi/<%= param %>" class="a-style ">
                                        Diskusi
                                    </a>
                                </div>
                                <div class="col-8"></div>
                            </div>
                        </div>

                        <div class="row my-4 ml-1">
                            <div class="col-6 pl-2">
                                <span style="font-size: 22px; font-weight: 600;">
                                    <img src="/assets/img/icon/milestone.svg" class="img-fluid" alt="">
                                    Milestone
                                </span>
                                
                            </div>

                            <div class="col"></div>
                        </div>
<%if (milestone != null) {%>
                        <% milestone.forEach(data => { %>
                                <div class="row mt-3 mb-1 font600 boxcolor p-3">
                                    <div class="col-1 pr-0">
                                        <form action="<%= data.MilestoneId %>" method="post">
                                            <input type="hidden" name="_method" value="PUT">
                                            <% if (data.isFinished == true) {%>
                                            <input type="image" class="mt-2" src="/assets/img/icon/check.svg" alt="">
                                            <input type="hidden" id="isFinished" name="isFinished" value="false">
                                           <% } else { %>
                                            <input type="image" class="mt-2" src="/assets/img/icon/blank.png" alt="">
                                            <input type="hidden" id="isFinished" name="isFinished" value="true">
                                           <% } %>
                                           <input type="hidden" name="id" value="<%= data.id %>">
                                           <input type="hidden" id="goalid" name="goalid" value="<%= param %>">
                                        </form>
                                    </div>
                                    <div class="col-8 mt-2">
                                        <%= data.Milestone.detailGoal %>
                                    </div>
                                </div>
                            <% }) %>

                            <%}%>
                        <p class="mt-4 ml-2 font600" style="font-size: 22px;">
                            <img src="/assets/img/icon/sticky-notes.svg" class="img-fluid" alt="">
                            Notes
                        </p>

                        <div class="boxcolor p-3 ">
                            <div class="row">
                                <div class="col">
                                    <div class="d-flex flex-row bd-highlight mb-3">
                                        <div class="bd-highlight mr-3"><img src="/assets/img/icon/circle.svg" alt=""></div>
                                        <div class="bd-highlight font600" style="font-size: 14px;">
                                            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce dictum vestibulum ligula sit amet gravida. Proin convallis sollicitudin ipsum,vel sagittis elit volutpat ut. Phasellus interdum pellentesque aliquet. Curabitur vitae lorem id arcu efficitur dictum. Sed eu bibendum nunc. Aliquam vehicula nibh ac leo iaculis sollicitudin. Vestibulum posuere tempus felis, a blandit nisl pretium sit amet. Curabitur pulvinar nisl nec nisi fermentum, vehicula sagittis lorem ultricies. Ut gravida eros id ex accumsan maximus. Sed facilisis efficitur justo, at pulvinar odio commodo et. Sed sed lacus sed tellus finibus cursus. Proin a rutrum diam. Aenean hendrerit metus ac mauris faucibus tempus id ac nunc.
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="d-flex flex-row bd-highlight mb-3">
                                        <div class="bd-highlight mr-3"><img src="/assets/img/icon/circle.svg" alt=""></div>
                                        <div class="bd-highlight font600" style="font-size: 14px;">
                                            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce dictum vestibulum ligula sit amet gravida. Proin convallis sollicitudin ipsum,vel sagittis elit volutpat ut. Phasellus interdum pellentesque aliquet. Curabitur vitae lorem id arcu efficitur dictum. Sed eu bibendum nunc. Aliquam vehicula nibh ac leo iaculis sollicitudin. Vestibulum posuere tempus felis, a blandit nisl pretium sit amet. Curabitur pulvinar nisl nec nisi fermentum, vehicula sagittis lorem ultricies. Ut gravida eros id ex accumsan maximus. Sed facilisis efficitur justo, at pulvinar odio commodo et. Sed sed lacus sed tellus finibus cursus. Proin a rutrum diam. Aenean hendrerit metus ac mauris faucibus tempus id ac nunc.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="col-4">
                        <img class="mt-5" src="/assets/img/illustration/phone-man.svg" class="img-fluid" alt="">
                    </div>
                </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>